{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.gaming.lutris;
in {
  options.gaming.lutris = {
    enable = lib.mkEnableOption "enable lutris";
  };

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      lutris
      wine
    ];
  };
}
